Name:           wargus
Version:        2.4.2
Release:        %mkrel 2
Summary:        Warcraft II mod for the Stratagus engine
License:        GPLv2
Group:          Games/Strategy
Url:            https://github.com/WARGUS/WARGUS
Source:         https://github.com/Wargus/wargus/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  stratagus-devel
BuildRequires:  pkgconfig(libmikmod)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libpng)
Requires:       stratagus = %{version}

%description
Wargus is a Warcraft2 Mod that allows you to play Warcraft2 with the Stratagus engine, as
opposed to play it with the original Warcraft2 one.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_mandir}/man6
mv doc/*.6 %{buildroot}%{_mandir}/man6/

%files
%doc COPYING README.md doc/
%{_gamesbindir}/wargus
%{_gamesbindir}/aleonas_tales
%{_bindir}/pudconvert
%{_bindir}/wartool
%{_datadir}/pixmaps/wargus.png
%{_datadir}/applications/wargus.desktop
%{_datadir}/applications/aleonas_tales.desktop
%{_gamesdatadir}/stratagus/wargus
%{_mandir}/man6/*.6.*



%changelog
* Fri Feb 14 2020 daviddavid <daviddavid> 2.4.2-2.mga8
+ Revision: 1517761
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Oct 02 2018 daviddavid <daviddavid> 2.4.2-1.mga7
+ Revision: 1314849
- new version: 2.4.2
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu Feb 01 2018 zezinho <zezinho> 2.4.1-1.mga7
+ Revision: 1198522
- new version from a new upstream

* Wed Feb 17 2016 umeabot <umeabot> 2.3.0-2.mga6
+ Revision: 963238
- Mageia 6 Mass Rebuild

* Mon Nov 30 2015 zezinho <zezinho> 2.3.0-1.mga6
+ Revision: 907295
- new version 2.3.0

* Wed Oct 15 2014 umeabot <umeabot> 2.2.7-3.mga5
+ Revision: 744098
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.7-2.mga5
+ Revision: 690268
- Mageia 5 Mass Rebuild

* Mon Dec 02 2013 zezinho <zezinho> 2.2.7-1.mga4
+ Revision: 554610
- imported package wargus

